For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contracts

Details

GET https://api.pointpay.io/public/coingecko/futures/contracts

CURL Example
curl -X GET "https://api.pointpay.io/public/coingecko/futures/contracts" -H "accept: application/json"

Response parameters:

The response is an array. Each item contains the following fields:

Name
Type
Description

ticker_id

STRING

Identifier of a ticker with delimiter to separate base/target, e.g. BTC-USDT

base_currency

STRING

Symbol/currency code of base pair, e.g. BTC

target_currency

STRING

Symbol/currency code of target pair, e.g. USDT

last_price

STRING

Last transacted price of base currency based on the given target currency

base_volume

STRING

24-hour single-sided trading volume in BASE currency

target_volume

STRING

24-hour single-sided trading volume in TARGET currency

bid

STRING

Current highest bid price

ask

STRING

Current lowest ask price

high

STRING

Rolling 24-hour highest transaction price

low

STRING

Rolling 24-hour lowest transaction price

product_type

STRING

Type of product (Futures, Perpetual, Options)

open_interest

STRING

The open interest in the last 24 hours in contracts (in base currency). Reported as double-sided (sum of long and short positions)

open_interest_usd

STRING

The open interest in the last 24 hours in contracts (in USD). Reported as double-sided (sum of long and short positions)

index_price

STRING

Underlying index price

index_name

STRING

Name of the underlying index, e.g. BTCUSD

index_currency

STRING

Underlying currency for index, e.g. USD

start_timestamp

NUMERIC

Starting timestamp of the derivative product, unixtime in ms (relevant for expirable futures or options; can be null for perpetuals)

end_timestamp

NUMERIC

Ending timestamp of the derivative product, unixtime in ms (relevant for expirable futures or options; can be null for perpetuals)

funding_rate

STRING

Current funding rate

next_funding_rate

STRING

Upcoming predicted funding rate

next_funding_rate_timestamp

NUMERIC

Timestamp of the next funding rate change (unixtime, ms)

maker_fee

STRING

Fees for filling a "maker" order (percentage)

taker_fee

STRING

Fees for filling a "taker" order (percentage)

contract_type

STRING

Type of the contract (vanilla, inverse or quanto)

Response example:

Response example:

This error occurs in the following cases:

  • Invalid URL

  • Request contains invalid headers

Response example:

This error occurs in the following cases:

  • The requested URL was not found